%define oname   archive-tar-minitar

Name:       ruby-%{oname}
Version:    0.5.2
Release:    %mkrel 4
Summary:    Provides POSIX tarchive management from Ruby programs
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%files
%defattr(-, root, root, -)
%{_bindir}/minitar
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Install
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Jan 25 2011 shikamaru <shikamaru> 0.5.2-4.mga1
+ Revision: 39657
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.5.2-3.mga1
+ Revision: 35472
- imported package ruby-archive-tar-minitar


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.2-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.2-2mdv2011.0
+ Revision: 614771
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 500488
- import rubygem-archive-tar-minitar


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5.2-1
- initial release
